CREATE TABLE IF NOT EXISTS repo_lock (
    repo_uuid UUID NOT NULL,
    path VARCHAR(255) NOT NULL,
    lock_type VARCHAR(255) NOT NULL,
    locked_by UUID NOT NULL,
    acquired_at TIMESTAMPTZ NOT NULL,
    released_at TIMESTAMPTZ,
    PRIMARY KEY (repo_uuid, path)
);
